package sysinfo

import "encoding/json"

type PackagesCollector struct{}

func (PackagesCollector) Key() string { return "packages" }
func (PackagesCollector) Collect(c *Context) (json.RawMessage, error) {
	out := c.SafeRun("dpkg-query", "-W",
		"-f=${Package} ${Version}\\n")
	return json.Marshal(map[string]string{"dpkg": out})
}
