package sysinfo

import "encoding/json"

type SensorsCollector struct{}

func (SensorsCollector) Key() string { return "sensors" }
func (SensorsCollector) Collect(c *Context) (json.RawMessage, error) {
	return json.Marshal(map[string]string{
		"output": c.SafeRun("sensors"),
	})
}
